import { defineStore } from 'pinia'

export const useAssetManagerStore = defineStore('assetManager', {
  state: () => ({
    tileList: [] as string[],
    selectedTile: ''
  }),
  actions: {
    setTileList(tiles: string[]) {
      this.tileList = tiles
    },
    setSelectedTile(tile: string) {
      this.selectedTile = tile
    },
    reset() {
      this.tileList = []
      this.selectedTile = ''
    }
  }
})
